package win32api

type Ulong int32
type Ulong_ptr uintptr

const (
	LOCKFILE_EXCLUSIVE_LOCK   DWORD = 0x00000002
	LOCKFILE_FAIL_IMMEDIATELY DWORD = 0x00000001
)

type PROCESSENTRY32 struct {
	DwSize              Ulong
	CntUsage            Ulong
	Th32ProcessID       Ulong
	Th32DefaultHeapID   Ulong_ptr
	Th32ModuleID        Ulong
	CntThreads          Ulong
	Th32ParentProcessID Ulong
	PcPriClassBase      Ulong
	DwFlags             Ulong
	SzExeFile           [260]byte
}

type MEMORYSTATUSEX struct {
	DwLength                DWORD
	DwMemoryLoad            DWORD
	UllTotalPhys            DWORDLONG
	UllAvailPhys            DWORDLONG
	UllTotalPageFile        DWORDLONG
	UllAvailPageFile        DWORDLONG
	UllTotalVirtual         DWORDLONG
	UllAvailVirtual         DWORDLONG
	UllAvailExtendedVirtual DWORDLONG
}
